#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull linuxserver/pyload:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep PyLoad | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi


docker create -i -t --name=PyLoad \
	-p 38800:8000 -p 7227:7227 \
	-e PUID=999 -e PGID=999 \
	-v /etc/localtime:/etc/localtime:ro \
	-v /volume1/Docker/PyLoad/config:/config:rw \
	-v /volume1/Download/PyLoad:/downloads:rw \
	--restart unless-stopped \
	linuxserver/pyload:latest

docker start PyLoad


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep linuxserver/pyload | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
